Subject: bug#36166: 27.0.50; Crash visiting HELLO when fringe-mode is disabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jun 2019 18:53:52 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 11 Jun 2019 17:32:50 +0200
> 
>     Eli> I think the important part is the test of s->font_not_found_p.  Can
>     Eli> you see whether it's zero in the crash case?
>     >> 
>     >> Yes, itʼs 0.
> 
>     Eli> Thanks.  So I think this:
> 
>     Eli>       if (EQ (font->driver->type, Qns))
> 
>     Eli> should be amended like this:
> 
>     Eli>       if (!s->font_not_found_p && EQ (font->driver->type, Qns))
> 
> Are you sure? if font_not_found_p == 0, then this condition will be
> true, and font == NULL here, so we get a crash.

Sorry, I've misinterpreted your finding.  It actually means that the
font_not_found_p flag is not working in this case.

So now I _really_ want to hear Alan's opinion on this.